/* STDLIB.H
 *
 */

typedef unsigned size_t;
#define NULL 0

double atof(const char *s);

int atoi(const char *s);

long atol(const char *s);

double strtod(const char *s,char **endp);

long strtol(const char *s,char **endp,int base);

unsigned long strtoul(const char *s,char **endp,int base);

int rand(void);

void srand(unsigned int seed);


void *calloc(size_t nitems,size_t size);

void *malloc(size_t size);

void *realloc(void p,size_t size);

void free(void *p);

void abort(void *p);

void exit(int status);

#define EXIT_SUCCESS 0
#define EXIT_FAILURE (~EXIT_SUCCESS)

int atexit(void (*fcn)(void));

int system(const char *s);

char *getenv(const char *name);

void *bsearch(const void *key,const void *base,size_t nelem,size_t size,
		int (*cmp)(const void *keyval,const void *datum));

void qsort(void *base,size_t nelem,size_t size,
		int (*cmp)(const void *keyval,const void *datum));

int abs(int n);

long labs(long l);

struct tag_div_t
{
	int rem;
	int quot;
};

typedef (tag_div_t*) div_t;

div_t div(int num,int denom);



struct tag_ldiv_t
{
	long rem;
	long quot;
};

typedef (tag_ldiv_t*) ldiv_t;

ldiv_t ldiv(long lnum,long ldenom);

